Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

GZip 'huft_build()' in 'inflate.c' Input Validation Vulnerability (Windows)

Information

Severity

Severity

Medium

Family

Family

Denial of Service

CVSSv2 Base

CVSSv2 Base

6.8

CVSSv2 Vector

CVSSv2 Vector

AV:N/AC:M/Au:N/C:P/I:P/A:P

Solution Type

Solution Type

Vendor Patch

Created

Created

12 years ago

Modified

Modified

3 years ago

Summary

This host is installed with GZip and is prone to Input Validation Vulnerability

Insight

Insight

The flaw is due to error in 'huft_build()' function in 'inflate.c', creates a hufts table that is too small.

Affected Software

Affected Software

GZip version prior to 1.3.13 on Windows

Solution

Solution

Apply the patch or Upgrade to GZip version 1.3.13 ***** NOTE: Ignore this warning, if above mentioned patch is already applied. *****

Common Vulnerabilities and Exposures (CVE)